Sync catalogs
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account": {
"account_id": "12345"
},
"catalogs": [
{
"catalog_id": "my-summer-products",
"name": "Summer Sale 2026",
"url": "https://feeds.example.com/products.xml",
"items": [
{}
],
"conversion_events": [
"purchase",
"add_to_cart"
]
}
]
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/sync"
payload = {
"account": { "account_id": "12345" },
"catalogs": [
{
"catalog_id": "my-summer-products",
"name": "Summer Sale 2026",
"url": "https://feeds.example.com/products.xml",
"items": [{}],
"conversion_events": ["purchase", "add_to_cart"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: {account_id: '12345'},
catalogs: [
{
catalog_id: 'my-summer-products',
name: 'Summer Sale 2026',
url: 'https://feeds.example.com/products.xml',
items: [{}],
conversion_events: ['purchase', 'add_to_cart']
}
]
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"catalogs": [
{
"catalog_id": "<string>",
"platform_id": "<string>",
"catalog_version_id": "<string>",
"catalog_version_number": 4503599627370496,
"content_hash": "<string>",
"item_count": 4503599627370495,
"items_approved": 4503599627370495,
"items_pending": 4503599627370495,
"items_rejected": 4503599627370495,
"item_changes": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"activation_plan_id": "<string>",
"item_issues": [
{
"issue": "<string>",
"item_id": "<string>",
"field": "<string>"
}
],
"last_synced_at": "2023-11-07T05:31:56Z",
"next_fetch_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"dry_run": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Sync catalogs
Inbound ADCP sync_catalogs endpoint. Buyers call this to sync their catalogs and items to the advertiser.
POST
/
advertisers
/
{advertiserId}
/
catalogs
/
sync
Sync catalogs
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/sync \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account": {
"account_id": "12345"
},
"catalogs": [
{
"catalog_id": "my-summer-products",
"name": "Summer Sale 2026",
"url": "https://feeds.example.com/products.xml",
"items": [
{}
],
"conversion_events": [
"purchase",
"add_to_cart"
]
}
]
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/sync"
payload = {
"account": { "account_id": "12345" },
"catalogs": [
{
"catalog_id": "my-summer-products",
"name": "Summer Sale 2026",
"url": "https://feeds.example.com/products.xml",
"items": [{}],
"conversion_events": ["purchase", "add_to_cart"]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account: {account_id: '12345'},
catalogs: [
{
catalog_id: 'my-summer-products',
name: 'Summer Sale 2026',
url: 'https://feeds.example.com/products.xml',
items: [{}],
conversion_events: ['purchase', 'add_to_cart']
}
]
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/catalogs/sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"catalogs": [
{
"catalog_id": "<string>",
"platform_id": "<string>",
"catalog_version_id": "<string>",
"catalog_version_number": 4503599627370496,
"content_hash": "<string>",
"item_count": 4503599627370495,
"items_approved": 4503599627370495,
"items_pending": 4503599627370495,
"items_rejected": 4503599627370495,
"item_changes": {
"added": 0,
"updated": 0,
"unchanged": 0,
"removed": 0
},
"activation_plan_id": "<string>",
"item_issues": [
{
"issue": "<string>",
"item_id": "<string>",
"field": "<string>"
}
],
"last_synced_at": "2023-11-07T05:31:56Z",
"next_fetch_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"dry_run": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Body
application/json
Advertiser account to sync catalogs onto
Show child attributes
Show child attributes
Catalog feeds to sync (up to 50 per call)
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Optional: only process these catalog_ids from the catalogs array
Archive buyer-managed catalogs not included in this request
Preview changes without persisting to the database
Item validation strictness
Available options:
strict, lenient ⌘I